package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepIndustryEwalletWithdrawRequest;

/**
 * @author nxj
 * @date 2023/12/26 10:54
 * @description 账管家V2.0-账管家提现Demo
 */
public class V2LaepIndustryEwalletWithdrawRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepIndustryEwalletWithdrawRequest req = new V2LaepIndustryEwalletWithdrawRequest();
        req.setOrgNo("1");
        req.setMerchantNo("8221000581200BS");
        req.setDrawAmt("10");
        req.setDrawMode("D0");
        req.setNotifyUrl("http://www.test.com");
        req.setMerOrderNo("hxmkl20220816900003");
        req.setPayNo("1");
        req.setPayType("01");
        req.setRemark("备注");
        req.setSummary("摘要");
        req.setBankId("1");

        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }

}
